SLATTACH(8)

NAME
slattach - attach serial lines as network interfaces

SYNOPSIS
slattach [-hm] [-s baudrate] ttyname

DESCRIPTION
The slattach command is deprecated. Please use the ldattach(8) command instead.

slattach is used to assign a tty line to a network interface, and will attach the named tty line to the first available slipdevice that is configured and up.

The following operands are supported by slattach:

-h  Turn on RTS/CTS flow control. By default, no flow control is done.

-m  Maintain modem control signals after closing the line. Specifically, this disables HUPCL.

-s baudrate
    Specifies the speed of the connection. If not specified, the default of 9600 is used.

ttyname
    Specifies the name of the tty device. ttyname should be a string of the form “ttyXX”, or “/dev/ttyXX”.

In addition, the following flags to ifconfig(8) control various properties of the link:

link0
    Turn on Van Jacobson header compression.

-link0
    Turn off header compression.

link1
    Don't pass through ICMP packets.

-link1
    Do pass through ICMP packets.

link2
    If a packet with a compressed header is received, automatically enable compression of outgoing packets.

-link2
    Don't auto-enable compression.

Only the superuser may attach a network interface.

To detach the interface, use “ifconfig interface-name down” after killing off the slattach process. interface-name is the name that is shown by netstat(1).

EXAMPLES

    # ifconfig sl0 10.0.0.1 10.0.0.2 link0 link2 up
    # slattach ttyh8
    # ifconfig sl1 192.168.0.1 192.168.0.2 link0 up
    # slattach -s 4800 /dev/tty01

DIAGNOSTICS
Messages indicating the specified interface does not exist, the requested address is unknown, the user is not privileged and tried to alter an interface's configuration.

SEE ALSO
netstat(1), netintro(4), ifconfig(8), ldattach(8), rc(8)

HISTORY
The slattach command appeared in 4.3BSD.